Create a board
Create a new feedback board in your FeatureOS organization.
Introduction
The FeatureOS create boards API allows you to create boards in your organization.
POST
https://api.featureos.app/api/v3/buckets
curl -X POST 'https://api.featureos.app/api/v3/buckets' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| Authorization | - | Generate a unique JWT token specific to a user. |
Body Parameters
| Parameter | Default | Format | Description |
|---|---|---|---|
| name | true | String | Name of the board (also used to create the slug) |
| description | false | Text | Explain what this board will be used for |
| private | false | Boolean | Only members and admins can access private boards |
| default | false | Boolean | Submissions are not allowed for this board |
| read_only | false | Boolean | Submissions are not allowed for this board |
| form_heading | false | String | Heading for the board's form |
| form_description | false | String | Description for the form |
| form_title | false | String | Placeholder text for form title label |
| form_title_placeholder | false | String | Placeholder text for form title field |
| form_details | false | String | Placeholder text for form description label |
| form_details_placeholder | false | String | Placeholder text for form description field |
| submission_template | false | Text | Create pre-filled content as submission template. |
| submit_button_text | false | String | Submit button text |